//---------------------------------------------------------------------------
#ifndef WrapperH
#define WrapperH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
//                 0           1           2             3           4              5
enum TPlane       {TXYPlane  , TXZPlane  , TYZPlane      };
enum TSpindleDir  {TCW       , TCCW      , TStop         };
enum TCoolant     {TMist     , TFlood    , TNone         };
enum TUnits       {TMetric   , TInch       };
enum TCutterComp  {TCCNone   , TCCLeft   , TCCRight      };
enum TPathControl {TExact    , TVelocity   };
enum TAxis        {TXAxis    , TYAxis    , TZAxis      , TAAxis    , TBAxis       , TCAxis       };
enum TErrorType   {TXZPresent, TYZPresent, TZeroSizeArc, TPlaneType, TUnknownMCode, TUnknownGCode, TAAxisInstruction, TBAxisInstruction, TCAxisInstruction};

class TWrapperForm : public TForm
{
__published:	// IDE-managed Components
    TLabel *Label1;
    TEdit *Edit1;
    TOpenDialog *OpenDialog1;
    TSaveDialog *SaveDialog1;
    TButton *OriginalGCodeButton;
    TButton *NewGCodeButton;
    TLabel *Label2;
    TEdit *Edit2;
    TLabel *Label6;
    TLabel *Label4;
    TEdit *Edit3;
    TLabel *Label5;
    TEdit *Edit4;
    TLabel *Label7;
    TButton *WrapButton;
    TButton *HelpButton;
    TButton *CloseButton;
    TLabel *Label3;
    TLabel *Label8;
    TComboBox *ComboBox1;
    TLabel *Label9;
    TEdit *Edit5;
    TLabel *Label10;
    TEdit *Edit6;
    TLabel *Label11;
    TComboBox *ComboBox2;
    TEdit *Edit7;
    TLabel *Label12;
    TBevel *Bevel1;
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall FormDestroy(TObject *Sender);
    void __fastcall OriginalGCodeButtonClick(TObject *Sender);
    void __fastcall NewGCodeButtonClick(TObject *Sender);
    void __fastcall WrapButtonClick(TObject *Sender);
    void __fastcall HelpButtonClick(TObject *Sender);
    void __fastcall CloseButtonClick(TObject *Sender);
    void __fastcall Edit5Change(TObject *Sender);
private:	// User declarations
public:		// User declarations
    __fastcall TWrapperForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TWrapperForm *WrapperForm;
//---------------------------------------------------------------------------
#endif
